Pagamentos
Consultar pagamento
Consulta ordens de pagamento pelo identificador da API ou pelo identificador do ERP.
POST
/pooling/order/getAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Informe payment_identifier ou charge_id.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/pooling/order/get" \ -H "Content-Type: application/json" \ -d '{ "payment_identifier": "68ab8366-29db-438e-9a39-8ca72691c0b7" }'[
{
"payment_identifier": "68ab8366-29db-438e-9a39-8ca72691c0b7",
"cnpj": "99999999999999",
"create_at": "2026-02-12T14:43:53.336Z",
"update_at": "2026-02-12T14:44:53.336Z",
"value": 10,
"payment_value": null,
"payment_date": null,
"autorization_code": null,
"order_type": "NRM",
"payment_type": "OTHERS",
"payment_status": "PDT",
"card_brand": null,
"installments": 1,
"min_installments": 1,
"nsu_host": null,
"nsu_sitef": null,
"acquirer": null,
"serial_pos": "",
"user_id": 0,
"payment_extras": null,
"extras": {
"CPF": "00000000000",
"Nome": "Teste da Silva"
},
"has_details": true,
"type": "PAYMENT",
"charge_id": "966",
"controle_versao": null,
"conn_type": null,
"batt_level": null,
"charging": null,
"location": {
"lat": "",
"long": ""
},
"reason": null,
"refund_autorization_code": null,
"refund_serial_pos": null,
"refund_user_id": null,
"coupon": null,
"refound_coupon": null,
"fee_type": null,
"refund_date": null,
"acquirer_cnpj": null,
"remaining_payment_amount": 10,
"partial_payments": [],
"grouped_payments": [],
"form_order": null
}
]{
"status": 400,
"data": {
"message": "payment order not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/order/get"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/order/get"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/order/get"
}
}